> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/classes/imagebutton.md).

# ImageButton

ImageButton : `GuiButton`

## Overview

ImageButton displays image just like ImageLabel, but it adds interactable buttons. In other words, it is a UI element that displays image as well as uses the events of GuiButton like click and tap.

ImageButton can be controlled only in **client environment**.

## Properties

### HoverImage

`string`

Specifies image asset to be displayed when the mouse cursor is hovering on ImageButton.

#### Code Samples

```lua
local ScreenGui = script.Parent
local ImageButton = ScreenGui:WaitForChild("ImageButton")

ImageButton.HoverImage = "ovdrassetid://1234"
```

### Image

`string`

Specifies image asset to be displayed in ImageButton.

#### Code Samples

```lua
local ScreenGui = script.Parent
local ImageButton = ScreenGui:WaitForChild("ImageButton")

ImageButton.Image = "ovdrassetid://1234"
```

### ImageColor3

`Color3`

Specifies the color to be applied to image.

If color is left white, original image will be displayed. If some other color is specified, the whole image will be in that hue.

#### Code Samples

```lua
local ScreenGui = script.Parent
local ImageButton = ScreenGui:WaitForChild("ImageButton")

ImageButton.ImageColor3 = Color3.fromRGB(255, 0, 0)
```

### ImageTransparency

`number`

Specifies the transparency of image.

0 means the image is completely opaque while 1 means the image is totally invisible.

If background needs to be hidden while image is displayed, set BackgroundTransparency to 1.

#### Code Samples

```lua
local ScreenGui = script.Parent
local ImageButton = ScreenGui:WaitForChild("ImageButton")

ImageButton.ImageTransparency = 0.5
```

### PressImage

`string`

Specifies image asset to be displayed when ImageButton is pushed.

#### Code Samples

```lua
local ScreenGui = script.Parent
local ImageButton = ScreenGui:WaitForChild("ImageButton")

ImageButton.PressImage = "ovdrassetid://1234"
```

## Methods

## Events

## See also


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/imagebutton.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
